#include "DefaultCollisionConfiguration.h"
namespace BulletCLI 
{
    DefaultCollisionConfiguration::DefaultCollisionConfiguration()
    {
        this->m_p=new ::btDefaultCollisionConfiguration();
    }
	DefaultCollisionConfiguration::DefaultCollisionConfiguration(DefaultCollisionConstructionInfo^ constructionInfo)
    {
        this->m_p=new ::btDefaultCollisionConfiguration(*(constructionInfo->GetPtr()));
    }
	DefaultCollisionConfiguration::~DefaultCollisionConfiguration()
    {
        this->!DefaultCollisionConfiguration();
    }
	DefaultCollisionConfiguration::!DefaultCollisionConfiguration()
    {
        delete this->m_p;
    }
}